---
search:
  tags:
    - Variant Groups
    - DELETE
seo:
  description: >-
    Removes associations between multiple… Reference for the DELETE
    /api/v1/{team_slug}/{app_slug}/variant-groups/tags/bulk endpoint in the
    Management API.
sidebar:
  label: Bulk Remove Variant Groups from Tags
  badge: DELETE
title: Bulk Remove Variant Groups from Tags
type: openapi-operation
---
Removes associations between multiple variant groups and multiple tags in a single request. Deletes variant group-tag relationships.

`DELETE /api/v1/{team_slug}/{app_slug}/variant-groups/tags/bulk`

**Request body** (`application/json`, required)

Variant group and tag relationships to delete (max 50)

- `items` (internal_pkg_webserver_v1.BulkVariantGroupTagRelationshipItem[], required)

Request body example:

```json
{
  "items": [
    {
      "tag_id": "string",
      "variant_group_ids": [
        "string"
      ]
    }
  ]
}
```

**Responses**

- `200` — Variant groups removed from tags successfully
- `400` — Invalid request
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "failed_removals": [
      {
        "reason": "string",
        "tag_id": "string",
        "variant_group_id": "string"
      }
    ],
    "successful_removals": [
      {
        "tag_id": "string",
        "variant_group_ids": [
          "string"
        ]
      }
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}
```
